errors = {}
options = {}
macro_ops = {}
stages = {}
svcid = 10
SUCCESS = 0
WARNING = 1
ERROR = 2
def determine_severity(msgs):
    severity = SUCCESS
    if msgs and len(msgs) > 0:
        for msg in msgs:
            severity = max(severity, msg[0])
    return severity
def determine_action_severity(list):
    severity = SUCCESS
    if list and len(list) > 0:
        for action in list:
            severity = max(severity, determine_severity(action[2]))
    return severity
def get_option_from_code(code, options_table):
    index = (code >> 48) & 0xff
    return options_table.get(index, None)
def get_errornum_from_code(code):
    return (code >> 56) & 0xff
options[0] = "enabled"; enabled = 0L
REQUIRES_PROFTPD = (10L << 56) | (enabled << 48) | 0; errors[(10L << 56) | (enabled << 48) | 0] = "ProFTPD must be enabled in order to use anonymous ftp."
ANONFTP_USER = ((10L << 56) | (255L << 48)) | 0; errors[((10L << 56) | (255L << 48)) | 0] = "Failed to add anonymous ftp user %(user)s. Error %(errno)d\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
ANONFTP_GROUP = ((10L << 56) | (255L << 48)) | 1; errors[((10L << 56) | (255L << 48)) | 1] = "Failed to add anonymous ftp group %(user)s. Error %(errno)d\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
CANT_FIND_ANONFTP_USER = ((10L << 56) | (255L << 48)) | 2; errors[((10L << 56) | (255L << 48)) | 2] = "Failed to lookup password record for user %(user)s."
ADD_VIRT_ANONFTP_USR = ((10L << 56) | (255L << 48)) | 3; errors[((10L << 56) | (255L << 48)) | 3] = "Failed to add domain anonymous ftp user. Error %(errno)d\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
ADD_VIRT_ANONFTP_GRP = ((10L << 56) | (255L << 48)) | 4; errors[((10L << 56) | (255L << 48)) | 4] = "Failed to add domain anonymous ftp group. Error %(errno)d\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
REMOVE_ANONFTP_CONF = ((10L << 56) | (255L << 48)) | 5; errors[((10L << 56) | (255L << 48)) | 5] = "Failed to truncate anonymous ftp configuration file %(file)s. Error is %(errno)d : %(errstr)s"
ANONFTP_CONF_WRITE = ((10L << 56) | (255L << 48)) | 6; errors[((10L << 56) | (255L << 48)) | 6] = "Failed to write anonymous ftp configuration file %(file)s. Error is %(errno)d : %(errstr)s"
ANONFTP_CONF_WRITE_CLOSE = ((10L << 56) | (255L << 48)) | 7; errors[((10L << 56) | (255L << 48)) | 7] = "Failed to close anonymous ftp configuration file %(file)s after writing. Error is %(errno)d : %(errstr)s"
REMOVE_ANONFTP_USER = ((10L << 56) | (255L << 48)) | 8; errors[((10L << 56) | (255L << 48)) | 8] = "Failed to remove anonymous ftp user %(user)s. Error %(errno)d\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
REMOVE_ANONFTP_GROUP = ((10L << 56) | (255L << 48)) | 9; errors[((10L << 56) | (255L << 48)) | 9] = "Failed to remove anonymous ftp group %(user)s. Error %(errno)d\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
ADD_TMP_ANONFTP_GROUP = ((10L << 56) | (255L << 48)) | 10; errors[((10L << 56) | (255L << 48)) | 10] = "Failed to add anonymous ftp group %(group)s. Error %(errno)d\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
MODIFY_ANONFTP_GROUP = ((10L << 56) | (255L << 48)) | 11; errors[((10L << 56) | (255L << 48)) | 11] = "Failed to reassign anonymous ftp group %(group1)s to group %(group2)s. Error %(errno)d\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
RM_TMP_ANONFTP_GROUP = ((10L << 56) | (255L << 48)) | 12; errors[((10L << 56) | (255L << 48)) | 12] = "Failed to remove anonymous ftp group %(group)s. Error %(errno)d\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
CREATE_ANONFTP_HOME = ((10L << 56) | (255L << 48)) | 13; errors[((10L << 56) | (255L << 48)) | 13] = "Could not create anonymous ftp home %(file)s.  Error %(errno)d : %(errstr)s"
ANONFTP_DIR_ATTRS = ((10L << 56) | (255L << 48)) | 14; errors[((10L << 56) | (255L << 48)) | 14] = "Could not set proper attributes on anonymous ftp home directory %(file)s. Error is %(errno)d : %(errstr)s"
KILL_USER_WARNING = ((10L << 56) | (255L << 48)) | 15; errors[((10L << 56) | (255L << 48)) | 15] = "Some error occurred while trying to terminate anonymous ftp sessions. Error %(errno)d. May be benign. See /var/log/messages for details."
KILL_USER_ERROR = ((10L << 56) | (255L << 48)) | 16; errors[((10L << 56) | (255L << 48)) | 16] = "Some error occurred while trying to terminate anonymous ftp sessions. Error %(errno)d. See /var/log/messages for details."
KILL_ADMIN_WARNING = ((10L << 56) | (255L << 48)) | 17; errors[((10L << 56) | (255L << 48)) | 17] = "Any ftp sessions opened by the site administrator will also have been killed."
CREATE_DOMAINFS_SYMLINKS = ((10L << 56) | (255L << 48)) | 18; errors[((10L << 56) | (255L << 48)) | 18] = "Failed to create symbolic link from %(from)s to %(to)s. File %(file)s. Error is %(errno)d : %(errstr)s"
CREATE_ANONFTP_PASSWD = ((10L << 56) | (255L << 48)) | 19; errors[((10L << 56) | (255L << 48)) | 19] = "Failed to create password database in anonymous ftp location. File %(file)s. Error is %(errno)d : %(errstr)s"
CREATE_ANONFTP_GROUP = ((10L << 56) | (255L << 48)) | 20; errors[((10L << 56) | (255L << 48)) | 20] = "Failed to create group database in anonymous ftp location. File %(file)s. Error is %(errno)d : %(errstr)s"
SET_DIR_ATTRS = ((10L << 56) | (255L << 48)) | 21; errors[((10L << 56) | (255L << 48)) | 21] = "Failed to set directory attributes on directory %(file)s. Error is %(errno)d : %(errstr)s"
